#include <iostream>
#include <math.h>

using namespace std;

int main(int argc, char** argv) {
	int m,n;
	long s=0;
	cin>>n>>m;
	int a[n], b[m][2];
	for(int i=0;i<n;i++)
		cin>>a[i];
	for(int i=0;i<m;i++)
	{
		cin>>b[i][0]>>b[i][1];
		s+=abs(a[b[i][0]-1]+a[b[i][1]-1]);
	}
	cout<<s;
	return 0;
}